﻿from django.shortcuts import render

# ===== Контроллеры =====

# Контроллеры для главной страницы
def index(request):
    return func(request, "Здравствуйте! Рады вас видеть в магазине Электроники!")

def catalog(request):
    return func(request, "Каталог разделов интернет-магазина электроники", "blue")

def catalog_section(request):
    return func(request, "Список электронных компонентов одного раздела", "green")

def catalog_component(request):
    return func(request, "Страница Электронный компонент", "brown")

def contacts(request):
    context = {
        "title": "Контакты",
    }
    # render - функция быстрого доступа фреймворка Django, 
    # возвращает  HttpResponse
    return render(request, "electronics/contacts.html", context)

# Функция-контроллер, переопределяющая вызов шаблона при ошибке 404
def error404(request, exception):
    context = {
        "title": "Страница не найдена!"
    }
    return render(request, "electronics/error404.html", context)

# ===== /Контроллеры =====

# ===== Вспомогательные функции =====

# Вспомогательная функция, группирующая одинаковый код для некоторых контроллеров
def func(request, text="", color="black"):
    context = {
        "content": text,
        "title": text,
        "color": color
    }
    return render(request, "electronics/page.html", context)

# ===== /Вспомогательные функции =====
